@use 'base/variables' as v;
@use 'base/mixins' as m;

.tickets {
    padding: 5rem 0;
    h3 {
        text-align: center;
        color: v.$myWhite;
        margin-bottom: 2rem;
    }

    .tickets_container {
        @include m.tablet_size {
            @include m.grid(2, 5rem);
        }
    }
}

.pass {
    color: black;
    
    .pass_name {
        text-align: center;
        font-size: 2.8rem;
        color: v.$myWhite;
    }
    
    &_header, &_footer {
        p { 
            text-align: center;
            color: v.$myWhite;
            margin: 0;
        }
    }
    
    // You can use &_header instead of pass_header, as the '&' will use the parent element. 
    // In the build CSS, this will result in ".pass_header {}" instead of ".pass .pass_header{}"
    &_header {  
        background-color: v.$myPink;
        padding: 1rem;
        p {
            text-transform: uppercase;
            font-size: 1.6rem;
        }
    }
    &_body {
        background-color: v.$myWhite;
        ul {
            @include m.reset_list;
            li, :nth-child(odd) {
                background-color: v.$myWhite;
                padding: 1rem;
                border-bottom: 1px solid v.$myGray;
            }
        }
    }
    &_footer {
        background-color: v.$myPurple;
        p {
            font-size: 2.4rem;
            font-weight: 700;
        }
    }
}